Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class VerifyConfig

    java.lang.Object
      com.sleepycat.je.VerifyConfig

    public class VerifyConfig

extends Object

Specifies the attributes of a verification operation.

Constructor Summary
`VerifyConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`boolean` | `getAggressive()` Return true if the `Environment.verify` and `Database.verify` are configured to perform fine granularity consistency checking that includes verifying in memory constructs.
`boolean` | `getPrintInfo()` Return true if the `Environment.verify` and `Database.verify` are configured to print basic verification information to System.out.
`boolean` | `getPropagateExceptions()` Return true if the `Environment.verify` and `Database.verify` are configured to propagate exceptions found during verification.
`int` | `getShowProgressInterval()` Return the showProgressInterval value, if set.
`PrintStream` | `getShowProgressStream()` Return the PrintStream on which the progress messages will be displayed during long running verify operations.
`void` | `setAggressive(boolean aggressive)` Configure `Environment.verify` and `Database.verify` to perform fine granularity consistency checking that includes verifying in memory constructs.
`void` | `setPrintInfo(boolean printInfo)` Configure `Environment.verify` and `Database.verify` to print basic verification information to System.out.
`void` | `setPropagateExceptions(boolean propagateExceptions)` Configure `Environment.verify` and `Database.verify` to propagate exceptions found during verification.
`void` | `setShowProgressInterval(int showProgressInterval)` When the verify operation is configured to display progress the showProgressInterval is the number of LNs between each progress report.
`void` | `setShowProgressStream(PrintStream showProgressStream)` Configure the verify operation to display progress to the PrintStream argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyConfig

    public VerifyConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setAggressive

    public void setAggressive(boolean aggressive)

  Configure `Environment.verify` and `Database.verify` to perform fine granularity consistency checking that includes verifying in memory constructs.

  This level of checking should only be performed while the database environment is quiescent.

  By default this is false.

  Parameters:
    `aggressive` - If set to true, configure `Environment.verify` and `Database.verify` to perform fine granularity consistency checking that includes verifying in memory constructs.

### getAggressive

    public boolean getAggressive()

  Return true if the `Environment.verify` and `Database.verify` are configured to perform fine granularity consistency checking that includes verifying in memory constructs.

  This method may be called at any time during the life of the application.

  Returns:
    True if the `Environment.verify` and `Database.verify` are configured to perform fine granularity consistency checking that includes verifying in memory constructs.

### setPropagateExceptions

    public void setPropagateExceptions(boolean propagateExceptions)

  Configure `Environment.verify` and `Database.verify` to propagate exceptions found during verification.

  By default this is false and exception information is printed to System.out for notification but does not stop the verification activity, which continues on for as long as possible.

  Parameters:
    `propagateExceptions` - If set to true, configure `Environment.verify` and `Database.verify` to propagate exceptions found during verification.

### getPropagateExceptions

    public boolean getPropagateExceptions()

  Return true if the `Environment.verify` and `Database.verify` are configured to propagate exceptions found during verification.

  This method may be called at any time during the life of the application.

  Returns:
    True if the `Environment.verify` and `Database.verify` are configured to propagate exceptions found during verification.

### setPrintInfo

    public void setPrintInfo(boolean printInfo)

  Configure `Environment.verify` and `Database.verify` to print basic verification information to System.out.

  By default this is false.

  Parameters:
    `printInfo` - If set to true, configure `Environment.verify` and `Database.verify` to print basic verification information to System.out.

### getPrintInfo

    public boolean getPrintInfo()

  Return true if the `Environment.verify` and `Database.verify` are configured to print basic verification information to System.out.

  This method may be called at any time during the life of the application.

  Returns:
    True if the `Environment.verify` and `Database.verify` are configured to print basic verification information to System.out.

### setShowProgressStream

    public void setShowProgressStream(PrintStream showProgressStream)

  Configure the verify operation to display progress to the PrintStream argument. The accumulated statistics will be displayed every N records, where N is the value of showProgressInterval.

### getShowProgressStream

    public PrintStream getShowProgressStream()

  Return the PrintStream on which the progress messages will be displayed during long running verify operations.

### setShowProgressInterval

    public void setShowProgressInterval(int showProgressInterval)

  When the verify operation is configured to display progress the showProgressInterval is the number of LNs between each progress report.

### getShowProgressInterval

    public int getShowProgressInterval()

  Return the showProgressInterval value, if set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.